Create translation
Translates audio into English.
This endpoint supports only whisper-1. The endpoint and model are deprecated
and scheduled to shut down on February 26, 2027. Migrate to
/v1/realtime/translations, which requires a separate integration. See the
deprecation schedule
for details.
Body ParametersForm Data
The audio file object (not file name) translate, in one of these formats: flac, mp3, mp4, mpeg, mpga, m4a, ogg, wav, or webm. The request must include enough format metadata for the file to be identified. We recommend an extension-bearing filename and an appropriate content type.
An optional text to guide the model’s style or continue a previous audio segment. The prompt should be in English.
The sampling temperature, between 0 and 1. Higher values like 0.8 will make the output more random, while lower values like 0.2 will make it more focused and deterministic. If set to 0, the model will use log probability to automatically increase the temperature until certain thresholds are hit.
Create translation
curl https://api.openai.com/v1/audio/translations \
-H "Authorization: Bearer $OPENAI_API_KEY" \
-H "Content-Type: multipart/form-data" \
-F file="@/path/to/file/german.m4a" \
-F model="whisper-1"
{
"text": "Hello, my name is Wolfgang and I come from Germany. Where are you heading today?"
}
Returns Examples
{
"text": "Hello, my name is Wolfgang and I come from Germany. Where are you heading today?"
}